org.eclipse.rdf4j.federated.evaluation.iterator

## Class IndependentJoingroupBindingsIteration2

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.federated.evaluation.iterator.IndependentJoingroupBindingsIteration2

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class IndependentJoingroupBindingsIteration2
      extends LookAheadIteration<BindingSet,QueryEvaluationException>

  Inserts original bindings into the result.
  Author:
    Andreas Schwarte

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `IndependentJoingroupBindingsIteration2.BindingInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<BindingSet>` | `bindings`
    `protected int` | `currentIdx`
    `protected CloseableIteration<BindingSet,QueryEvaluationException>` | `iter`
    `protected static Pattern` | `pattern`
    `protected ArrayList<BindingSet>` | `result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndependentJoingroupBindingsIteration2(CloseableIteration<BindingSet,QueryEvaluationException> iter, List<BindingSet> bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ArrayList<BindingSet>` | `computeResult()`
    `protected BindingSet` | `getNextElement()` Gets the next element.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### pattern

          protected static final Pattern pattern

    - #### bindings

          protected final List<BindingSet> bindings

    - #### iter

          protected final CloseableIteration<BindingSet,QueryEvaluationException> iter

    - #### result

          protected ArrayList<BindingSet> result

    - #### currentIdx

          protected int currentIdx

  - ### Constructor Detail

    - #### IndependentJoingroupBindingsIteration2

          public IndependentJoingroupBindingsIteration2(CloseableIteration<BindingSet,QueryEvaluationException> iter,
                                                        List<BindingSet> bindings)

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,QueryEvaluationException>`
      Returns:
        The next element, or `null` if no more elements are available.
      Throws:
        `QueryEvaluationException`

    - #### computeResult

          protected ArrayList<BindingSet> computeResult()
                                                 throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.